%define major     0
%define libname   %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		mysac
Version:	1.1.2
Release:	%mkrel 6
Summary:    	MySACL library: MySAC is a library that provides mechanisms for making asynchronous request to MySQL database
License:    	GPLv3
Group:      	Networking/Other
URL:        	http://www.arpalert.org/mysac.html
Source:     	http://www.arpalert.org/src/%{name}-%{version}.tar.gz
Patch0:		mysac-makefile.patch
Patch1:		0001-Fix-build-with-mariadb-10.2.patch
Patch2:		add-mysql-private-include.patch
BuildRequires:  mysql-devel

%description
MySAC is a library that provides mechanisms for
making asynchronous request to MySQL database.
It uses uses the official MySQL client library
for authentication and network functions.
Memory allocation must be done in user code, so
any memory manager can be used.

%package -n     %{libname}
Summary:        Main library for mysac
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
MySAC is a library that provides mechanisms for
making asynchronous request to MySQL database.
It uses uses the official MySQL client library
for authentication and network functions.
Memory allocation must be done in user code, so
any memory manager can be used.


%package        -n     %{develname}
Summary:        Header files for the dssl library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       mysql-devel

%description    -n %{develname}
MySAC is a library that provides mechanisms for
making asynchronous request to MySQL database.
It uses uses the official MySQL client library
for authentication and network functions.
Memory allocation must be done in user code, so
any memory manager can be used.
These are "*.h" files.

%prep
%setup -q
%autopatch -p1


%build
# hack for mariadb 10.5.4
# /usr/include/mysql/server/my_alloc.h:23:10: fatal error: mysql/psi/psi_memory.h: No such
# file or directory
export CPATH="%{_includedir}/mysql/server"
%set_build_flags
%make_build


%install
%{__mkdir_p}  %{buildroot}%{_includedir}
%{__mkdir_p}  %{buildroot}%{_libdir}
%{__install}  -m0755 libmysac.so*  %{buildroot}%{_libdir}
%{__install}  -m0755 *.h  %{buildroot}%{_includedir}

ln -s libmysac.so.%{major} %{buildroot}%{_libdir}/libmysac.so

%files -n %{libname}
%{_libdir}/libmysac.so.%{major}{,.*}


%files  -n %{develname}
%{_includedir}/*.h
%{_libdir}/libmysac.so


%changelog
* Thu Nov 17 2022 kekepower <kekepower> 1.1.2-6.mga9
+ Revision: 1908554
- Add patch to find mariadb_capi_rename.h

* Sat Apr 02 2022 umeabot <umeabot> 1.1.2-5.mga9
+ Revision: 1841089
- Mageia 9 Mass Rebuild

* Sat Jul 25 2020 daviddavid <daviddavid> 1.1.2-4.mga8
+ Revision: 1608963
- fix/workaround build with mariadb 10.5.4

* Thu Feb 13 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1515261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1299661
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 wally <wally> 1.1.2-1.mga7
+ Revision: 1200202
- new version 1.1.2
- redo makefile and mariadb patches
- use our compile time flags
- add patch to fix build with mariadb 10.2
+ daviddavid <daviddavid>
- fix build with mariadb 10.2.12

* Sat Feb 06 2016 umeabot <umeabot> 1.1.1-8.mga6
+ Revision: 940457
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 750665
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.1-6.mga5
+ Revision: 727432
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 682722
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-4.mga4
+ Revision: 508105
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 360578
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 dlucio <dlucio> 1.1.1-2.mga2
+ Revision: 202083
- Getting rid of Mandriva macros
- imported package mysac

